<script setup lang="ts">
import { ref, onMounted } from 'vue';
import AboutPerson from '../components/AboutPerson.vue';
import SdgUserImage from '../components/SdgUserImage.vue';
import { useGameStore } from '../stores/gameStore';
import type { Person } from '@/types/Person';
import { useRoute } from 'vue-router';

const route = useRoute();

const person = ref({} as Person);
const id = ref('');

onMounted(async function () {
  const gameStore = useGameStore();
  id.value = route.query.id as string;
  person.value = await gameStore.loadPerson(id.value as string);
});
</script>

<template>
  <div :key="id" class="grid p-8 m-8 place-items-center">
    <SdgUserImage :person="person" :width="300" />
    <span class="text-4xl">{{ person.displayName }}</span>
    <span class="w-1/2 text-2xl text-left border-black">
      <AboutPerson :person="person" :is-self="false" />
    </span>
  </div>
</template>
